# ZMQSocket::getSockOpt

(PECL zmq >= 0.5.0)

ZMQSocket::getSockOpt — Obtener la opción de un socket

### Descripción

public ZMQSocket::getSockOpt(string `$key`): mixed

Devuelve el valor de la opción de un socket.

### Parámetros

`key`

  Un número entero que representa la opción. Véanse las constantes `ZMQ::SOCKOPT_*`.

### Valores devueltos

Devuelve un string o un int dependiendo de `key`. Lanza una ZMQSocketException en caso de error.